## Parameters

`module G : Graphviz.GraphWithDotAttrs`

## Signature

`module HV : Stdlib.Hashtbl.S with type key = G.V.t`
`module HE : Stdlib.Map.S with type key = G.E.t`
`type graph_layout = {`

1. `vertex_layouts : node_layout HV.t;`
2. `edge_layouts : edge_layout HE.t;`
3. `cluster_layouts : (string, cluster_layout) Stdlib.Hashtbl.t;`
4. `bbox : bounding_box;`

`}`

Main layout type

`exception DotError of string`
`val layout_of_xdot : xdot_file:string -> G.t -> graph_layout`

Extracts a layout of an xdot file

`val layout_of_dot : ?cmd:string -> dot_file:string -> G.t -> graph_layout`

Using the dot file and graphviz, create an xdot and extracts its layout.